org.eclipse.rdf4j.model

## Interface Statement

- All Superinterfaces:
    Serializable
  All Known Subinterfaces:
    ExtensibleStatement
  All Known Implementing Classes:
    ContextStatement, ContextStatementImpl, ExtensibleContextStatement, ExtensibleStatementImpl, LinkedHashModel.ModelStatement, MemStatement, SimpleStatement, StatementImpl, UnboundStatement

      public interface Statement
      extends Serializable

  An RDF statement, with optional associated context. A statement can have an associated context in specific cases, for example when fetched from a repository.
  See Also:
    `Statements`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Compares a statement object to another object.
    `Resource` | `getContext()` Gets the context of this statement.
    `Value` | `getObject()` Gets the object of this statement.
    `IRI` | `getPredicate()` Gets the predicate of this statement.
    `Resource` | `getSubject()` Gets the subject of this statement.
    `int` | `hashCode()` The hash code of a statement.

- - ### Method Detail

    - #### getSubject

          Resource getSubject()

      Gets the subject of this statement.
      Returns:
        The statement's subject.

    - #### getPredicate

          IRI getPredicate()

      Gets the predicate of this statement.
      Returns:
        The statement's predicate.

    - #### getObject

          Value getObject()

      Gets the object of this statement.
      Returns:
        The statement's object.

    - #### getContext

          Resource getContext()

      Gets the context of this statement.
      Returns:
        The statement's context, or `null` in case of the null context or if not applicable.

    - #### equals

          boolean equals(Object other)

      Compares a statement object to another object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `other` - The object to compare this statement to.
      Returns:
        `true` if the other object is an instance of `Statement` and if their subjects, predicates, objects and contexts are equal.

    - #### hashCode

          int hashCode()

      The hash code of a statement.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hash code for the statement.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.